<?php

// API routes  for faq
Route::prefix('{guard}/crm_request')->group(function () {
    Route::get('faq/form/{element}', 'FaqAPIController@form');
    Route::resource('faq', 'FaqAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for crm_requests
            Route::prefix('{guard}/crm_request')->group(function () {
                Route::get('faq/form/{element}', 'FaqAPIController@form');
                Route::apiResource('faq', 'FaqAPIController');
            });
            // Public routes for crm_requests
            Route::get('crm_request/Faq', 'FaqPublicController@getFaq');
        }
    );
}

