    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#faq" data-toggle="tab">{!! trans('crm_request::faq.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#crm_request-faq-edit'  data-load-to='#crm_request-faq-entry' data-datatable='#crm_request-faq-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#crm_request-faq-entry' data-href='{{guard_url('crm_request/faq')}}/{{$faq->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('crm_request-faq-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('crm_request/faq/'. $faq->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="faq">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('crm_request::faq.name') !!} [{!!$faq->name!!}] </div>
                @include('crm_request::admin.faq.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>